=== navit/binding/dbus/CMakeLists.txt ===
module_add_library(binding_dbus binding_dbus.c)
