=== navit/vehicle/gypsy/CMakeLists.txt ===
module_add_library(vehicle_gypsy vehicle_gypsy.c)
