=== debian/changelog ===
navit (0.5.0~svn4494+dfsg.1-1ubuntu2) oneiric; urgency=low

  * Apply changes from yet unreleased Debian version (diff from 99095a07 to
    d0df2217 in git://anonscm.debian.org/collab-maint/navit.git):

  [ Gilles Filippini ]
  * Various valgrind patches
  * New patch: qt-cmake.patch: fixes cmake Qt4 detection
  * debian/rules:
    + Don't overwrite flags set by dpkg-builflags
    + Minor cleanups and typos (LP: #832818)
  * debian/control:
    + Drop Build-Depends on libhildon-1-dev (not needed)
    + navit-graphics-gtk-drawing-area: Depends librsvg2-common to have
      the gdk-pixbuf for svg images

 -- Ilya Barygin <barygin@gmail.com>  Fri, 02 Sep 2011 22:10:09 +0400

navit (0.5.0~svn4494+dfsg.1-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS:
    - cmake-gtk-fixes.patch: improve search for headers and libraries
    - add missing build dependency: libgtkgl2.0-dev

 -- Ilya Barygin <barygin@gmail.com>  Sat, 02 Jul 2011 14:00:19 +0400

navit (0.5.0~svn4494+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Minor fixes

  * New patch lc_all.patch: when LC_ALL is set, unset it and set LANG
    instead to prevent incorrect GPS position computations
    (closes: #625949)
  * New patch gui-gtk-quit.patch: preperly handle the quit command with
    gui/gtk
  * Reworked patch fix-cmake.patch: mostly applied upstream but a few
    glitches remain to fix (closes: #626784)

 -- Gilles Filippini <pini@debian.org>  Sun, 22 May 2011 10:49:03 +0200

navit (0.5.0~svn4423+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Improved cmake support
    + New CSV map plugin to record POI and speed camera locations
    + Support for speed camera from OSM data and CSV map files
    + Support downloding maps from withing Navit (binfile format)
    + Configurable key bindings for OSDs
    + OSD odometer and stopwatch
    + Protobuf database support for maptool
    + Imperial units support
    + Many other improvements and bug fixes

  * debian/copyright:
    + Update to DEP5 rev173
    + Add new license paragraphs for:
      - navit/browserplugin.c (MPL-1.1 or GPL-2+ or LGPL-2.1+)
      - navit/maptool/google/protobuf-c/protobuf-c* (Apache-2.0)
  * debian/control:
    + Set Architecture to any for the navit binary package: navit is supposed
      to support bigendian since 06/2009 (closes: #623238)
    + Fix navit and navit-data descriptions to state that the
      package doesn't provide any map (closes: #603378)
    + Bump Standards-Version to 3.9.2 (no change needed)
    + Drop Build-Depends on autotools in favor of cmake
  * debian/rules:
    + Now use the cmake build system
  * New patches:
    + fix-cmake.patch: various fixes and workarounds to build successfully
      with cmake
    + icons-dir: installs icons into /usr/share/navit/icons instead of
      /usr/share/navit/xpm
  * Remove patches not needed anymore with cmake:
    + remove-espeak
    + remove-ezxml
    + remove-glib
    + remove-libpng
    + remove-mini-libc
    + remove-support
    + remove-ttf-liberation
    + remove-win32
    + remove-wordexp
    + remove-zlib
  * debian/rules, debian/control, debian/navit-gui-qml.install:
    ground work to enable the QML plugin (not enabled in this build)

  * Migrate to source format 3.0 (quilt)

 -- Gilles Filippini <pini@debian.org>  Tue, 03 May 2011 00:14:36 +0200

navit (0.2.0+dfsg.1-1) unstable; urgency=low

  * New upstream Release (closes: #610531):
    + Support for loading itineraries from destination.txt
    + Support for writing destinations with multiple coordinates
    + Initial support for waypoint routing
    + Functional opengl and sdl graphic plugins (disabled for now)
    + Initial support for the CMake build system (not used in this build)
    + Better POI search
    + New truck profile
    + New Layout Car-simple
    + Cyrillic support
    + New translations: Australian English, Javanese, Basque, Tamil and Urdu
    + Many bug fixes

  * debian/rules: removed DEB_BUILD_OPTIONS handling as it is now handled
    through dpkg-buildflags
  * debian/control:
    + dropped osm2navit dummy transitional package for squeeze+1

 -- Gilles Filippini <pini@debian.org>  Fri, 28 Jan 2011 23:29:11 +0100

navit (0.2.0~svn3501+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Support for autoloaded plugins
    + Many memory leaks fixed
  * Refresh patches

  * New patch path_max to try fixing the FTBFS on hurd-i386. 

  * debian/control: bumped Standards-Version to 3.9.1 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Tue, 27 Jul 2010 22:36:40 +0200

navit (0.2.0~svn3255+dfsg.1-3) unstable; urgency=low

  * Fix yet another FTBFS occuring on some archs while moving navit.xml
    to the target /etc/navit dir.

 -- Gilles Filippini <pini@debian.org>  Tue, 18 May 2010 18:00:10 +0200

navit (0.2.0~svn3255+dfsg.1-2) unstable; urgency=low

  * Fix FTBFS when building only arch-dependent binary packages.

 -- Gilles Filippini <pini@debian.org>  Mon, 17 May 2010 23:25:27 +0200

navit (0.2.0~svn3255+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + New QML GUI (work in progress; currently disabled)
    + Enhanced bookmark management
    + Many bug fixes, including:
      - force JSON gpsd responses (closes: #573855)
  * Removed patches:
    + fixed upstream:
      - distclean_graphics_qt_qpainter
      - pedestrian-without-android
  * Refreshed patches:
    + remove-win32 
  * New patch:
    + search_trick: when searching for a town, a '?' at the end of the
      search string means "search exact matches only"

  * debian/source/format: 1.0
  * debian/rules: switched to the dh sequencer
  * debian/control:
    + Build-Depends: autopoint (Closes: #572476)
    + Bumped the versioned Build-Depends on debhelper to (>= 7.0.50~)
      as requested by using the dh sequencer
    + Versioned Build-Depends on quilt (see #548094)

 -- Gilles Filippini <pini@debian.org>  Sun, 16 May 2010 23:44:28 +0200


